Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 22996 - [TTV] cells in the tree table should be truncated when they are too wide
[TTV] cells in the tree table should be truncated when they are too wide
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks: 33281
  Show dependency treegraph
 
Reported: 2002-04-30 20:49 UTC by David-john Burrowes
Modified: 2008-12-22 22:08 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2002-04-30 20:49:43 UTC
When the contents of a cell in the tree table is wider than the available display space, an 
ellipsis (or other locale appropriate marker) should be shown instead of the truncated 
text to indicate that the value is truncated.  (the tooltip for the cell should also show the 
untruncated value)

See: http://ui.netbeans.org/docs/hi/debugger3.4/tables/index.html
Comment 1 Jan Jancura 2002-05-02 15:25:44 UTC
=> openide
Comment 2 Marian Mirilovic 2002-05-02 15:59:34 UTC
reassigne to Ales (Tree Table owner)
Comment 3 Marek Grummich 2002-07-22 11:14:00 UTC
Set target milestone to TBD
Comment 4 Marek Grummich 2002-07-22 11:17:21 UTC
Set target milestone to TBD
Comment 5 Jiri Rechtacek 2003-02-27 11:18:22 UTC
It should be solved in TTV reimplementation in 4.0 cycle.
Comment 6 _ tboudreau 2003-11-22 22:38:38 UTC
With the propertypanel rewrite, cells will now use standard ... when
the text doesn't fit.
Comment 7 _ tboudreau 2003-12-09 09:36:40 UTC
Property panel rewrite branch merged.
Comment 8 Marian Mirilovic 2005-07-13 13:22:32 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo